package io.zipcoder.interfaces;

public final class Instructors extends People<Instructor> {

    private final static Instructors INSTANCE = new Instructors();
    Educator[] educatorValues = Educator.values();

    private Instructors() {
        for (Educator e : educatorValues) {
            personList.add(new Instructor(e.getId(), e.getName()));
        }
//        personList.add(new Instructor(100, "Kris Younger"));
//        personList.add(new Instructor(101, "Nhu Nguyen"));
//        personList.add(new Instructor(102, "Froilan Miranda"));
//        personList.add(new Instructor(103, "L. Dolio Durant"));
//        personList.add(new Instructor(104, "Wilhem Alcivar"));
    }

    public static Instructors getInstance() {
        return INSTANCE;
    }

    @Override
    public Instructor[] getArray() {
        Instructor[] instructors = new Instructor[personList.size()];
        int count = 0;
        for (Instructor instructor : personList) {
            instructors[count] = instructor;
            count++;
        }
        return instructors;
    }
}
