package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class EducatorTest {

    @Test
    public void testImplementation(){
        Educator educator = Educator.DOLIO;

        Assert.assertTrue(educator instanceof Teacher);
    }

    @Test
    public void testTeach(){
        Educator educator = Educator.NHU;

        Student student = new Student(1);
        double before = student.getTotalStudyTime();
        educator.teach(student, 3);
        double after = student.getTotalStudyTime();

        Assert.assertTrue(after-before == 3);
    }

}
