package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class InstructorTest {

    Instructor instructor;

    @Before
    public void setup() {
        instructor = new Instructor(1, "Ned Redmond");
    }

    @Test
    public void testImplementation(){
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance(){
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach(){
        Student student = new Student(1);
        double before = student.getTotalStudyTime();
        instructor.teach(student, 3);
        double after = student.getTotalStudyTime();

        Assert.assertTrue(after-before == 3);
    }



}
