package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestPerson {

    Person person;
    Object actual;
    Object expected;

    @Before public void setup() {
        person = new Person(1);
    }

    @Test public void testConstructor() {
        Assert.assertNotNull(person.getID());
    }

    @Test public void testSetAndGetName() {
        person.setName("Test");

        actual = person.getName();
        expected = "Test";

        Assert.assertTrue(expected.equals(actual));
    }

}
