package io.zipcoder.interfaces;

public enum ZipCodeWilmington {
    INSTANCE;

    Students students = Students.getInstance();
    Instructors instructors = Instructors.getInstance();

    public void hostLecture(Teacher teacher, double numberOfHours) {
        Student[] studentsArray = students.getArray();
        teacher.lecture(studentsArray, numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours) {
        Student[] studentsArray = students.getArray();
        Teacher teacher = instructors.findByID(id);
        teacher.lecture(studentsArray, numberOfHours);
    }

}
