package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorsTest {

    @Test public void testInitializationSetupInstructors() {
        Instructors instructors = Instructors.getInstance();
        Person[] InstructorsArray = instructors.getArray();

        int actual = InstructorsArray.length;
        int expected = 5;

        Assert.assertEquals(expected,actual);
    }

    @Test public void testSingletonInstance() {
        Instructors one = Instructors.getInstance();
        Instructors two = Instructors.getInstance();

        Assert.assertSame(one, two);
    }

}
