package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentsTest {

    @Test public void testInitializationSetupStudents() {
        Students students = Students.getInstance();
        Person[] studentArray = students.getArray();

        int actual = studentArray.length;
        int expected = 39;

        Assert.assertEquals(expected,actual);
    }

    @Test public void testSingletonInstance() {
        Students one = Students.getInstance();
        Students two = Students.getInstance();

        Assert.assertSame(one, two);
    }

}
